Subject: [mpls] New revision: draft-ietf-mpls-opportunistic-encrypt-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 20 Sep 2016 11:04:11 +0100

All,

Although the main purpose is to keep the document alive, we took the opportunity
to work on the text.

The diff
(https://www.ietf.org/rfcdiff?url1=draft-ietf-mpls-opportunistic-encrypt-01&url2
=draft-ietf-mpls-opportunistic-encrypt-02&difftype=--hwdiff) shows:

- Minor nits of spelling, grammar, and style.
- Added Section 1.2 "Existing Security Tools for MPLS Data".
- Small changes for clarification.
- Update references.

Adrian

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: 20 September 2016 10:53
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-mpls-opportunistic-encrypt-02.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Multiprotocol Label Switching of the IETF.
> 
>         Title           : Opportunistic Security in MPLS Networks
>         Authors         : Adrian Farrel
>                           Stephen Farrell
> 	Filename        : draft-ietf-mpls-opportunistic-encrypt-02.txt
> 	Pages           : 38
> 	Date            : 2016-09-20
> 
> Abstract:
>    This document describes a way to apply opportunistic security between
>    adjacent nodes on an MPLS Label Switched Path (LSP) or between end
>    points of an LSP.  It explains how keys may be agreed to enable
>    encryption, and how key identifiers are exchanged in encrypted MPLS
>    packets.  Finally, this document describes the applicability of this
>    approach to opportunistic security in MPLS networks with an
>    indication of the level of improved security as well as the continued
>    vulnerabilities.
> 
>    This document does not describe security for MPLS control plane
>    protocols.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-opportunistic-encrypt/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-mpls-opportunistic-encrypt-02
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-opportunistic-encrypt-02
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt